# Coveo DynamicFacetRange Component (CoveoDynamicFacetRange)

## Index

### Methods

- collapse
- debugInfo
- deselectMultipleValues
- deselectValue
- disable
- enable
- enableFreezeCurrentValuesFlag
- enableFreezeFacetOrderFlag
- expand
- getBindings
- getCaptionForStringValue
- hasSelectedValue
- reset
- selectMultipleValues
- selectValue
- showLessValues
- showMoreValues
- toggleCollapse
- toggleSelectValue
- get

### Properties

- bind
- componentOptionsModel
- componentStateModel
- disabled
- logger
- queryController
- queryStateModel
- root
- searchInterface
- ID

### Accessors

- usageAnalytics

### Component Options

- currencySymbol
- ranges
- sortOrder
- valueFormat
- valueSeparator

### Constructors

- constructor

## Methods

### collapse

- collapse(): void

- Inherited from DynamicFacet.collapse

  - Defined in ui/DynamicFacet/DynamicFacet.ts :524

  #### Returns void

### debugInfo

- debugInfo(): any

- Inherited from BaseComponent.debugInfo

  - Defined in ui/Base/BaseComponent.ts :41

  #### Returns any

### deselectMultipleValues

- deselectMultipleValues(values: string[]): void

- Inherited from DynamicFacet.deselectMultipleValues

  - Defined in ui/DynamicFacet/DynamicFacet.ts :419

  #### Parameters

  - ##### values: string[]

  #### Returns void

### deselectValue

- deselectValue(value: string): void

- Inherited from DynamicFacet.deselectValue

  - Defined in ui/DynamicFacet/DynamicFacet.ts :398

  #### Parameters

  - ##### value: string

  #### Returns void

### disable

- disable(): void

- Inherited from BaseComponent.disable

  - Defined in ui/Base/BaseComponent.ts :52

  #### Returns void

### enable

- enable(): void

- Inherited from BaseComponent.enable

  - Defined in ui/Base/BaseComponent.ts :61

  #### Returns void

### enableFreezeCurrentValuesFlag

- enableFreezeCurrentValuesFlag(): void

- Inherited from DynamicFacet.enableFreezeCurrentValuesFlag

  - Defined in ui/DynamicFacet/DynamicFacet.ts :544

  #### Returns void

### enableFreezeFacetOrderFlag

- enableFreezeFacetOrderFlag(): void

- Inherited from DynamicFacet.enableFreezeFacetOrderFlag

  - Defined in ui/DynamicFacet/DynamicFacet.ts :557

  #### Returns void

### expand

- expand(): void

- Inherited from DynamicFacet.expand

  - Defined in ui/DynamicFacet/DynamicFacet.ts :508

  #### Returns void

### getBindings

- getBindings(): IComponentBindings

- Inherited from Component.getBindings

  - Defined in ui/Base/Component.ts :328

  #### Returns IComponentBindings

### getCaptionForStringValue

- getCaptionForStringValue(value: string): string

- Inherited from DynamicFacet.getCaptionForStringValue

  - Defined in ui/DynamicFacet/DynamicFacet.ts :450

  #### Parameters

  - ##### value: string

  #### Returns string

### hasSelectedValue

- hasSelectedValue(value: string): boolean

- Inherited from DynamicFacet.hasSelectedValue

  - Defined in ui/DynamicFacet/DynamicFacet.ts :407

  #### Parameters

  - ##### value: string

  #### Returns boolean

### reset

- reset(): void

- Inherited from DynamicFacet.reset

  - Defined in ui/DynamicFacet/DynamicFacet.ts :486

  #### Returns void

### selectMultipleValues

- selectMultipleValues(values: string[]): void

- Inherited from DynamicFacet.selectMultipleValues

  - Defined in ui/DynamicFacet/DynamicFacet.ts :380

  #### Parameters

  - ##### values: string[]

  #### Returns void

### selectValue

- selectValue(value: string): void

- Inherited from DynamicFacet.selectValue

  - Defined in ui/DynamicFacet/DynamicFacet.ts :367

  #### Parameters

  - ##### value: string

  #### Returns void

### showLessValues

- showLessValues(): void

- Inherited from DynamicFacet.showLessValues

  - Defined in ui/DynamicFacet/DynamicFacet.ts :472

  #### Returns void

### showMoreValues

- showMoreValues(additionalNumberOfValues?: number): void

- Inherited from DynamicFacet.showMoreValues

  - Defined in ui/DynamicFacet/DynamicFacet.ts :460

  #### Parameters

  - ##### Default value additionalNumberOfValues: number = this.options.numberOfValues

  #### Returns void

### toggleCollapse

- toggleCollapse(): void

- Inherited from DynamicFacet.toggleCollapse

  - Defined in ui/DynamicFacet/DynamicFacet.ts :501

  #### Returns void

### toggleSelectValue

- toggleSelectValue(value: string): void

- Inherited from DynamicFacet.toggleSelectValue

  - Defined in ui/DynamicFacet/DynamicFacet.ts :436

  #### Parameters

  - ##### value: string

  #### Returns void

### Static get

- get(element: HTMLElement, componentClass?: any, noThrow?: boolean): BaseComponent

- Inherited from Component.get

  - Defined in ui/Base/Component.ts :410

  #### Parameters

  - ##### element: HTMLElement

  - ##### Optional componentClass: any

  - ##### Optional noThrow: boolean

  #### Returns BaseComponent

## Properties

### bind

bind: ComponentEvents

Inherited from Component.bind

- Defined in ui/Base/Component.ts :270

### componentOptionsModel

componentOptionsModel: ComponentOptionsModel

Inherited from Component.componentOptionsModel

- Defined in ui/Base/Component.ts :294

### componentStateModel

componentStateModel: ComponentStateModel

Inherited from Component.componentStateModel

- Defined in ui/Base/Component.ts :282

### disabled

disabled: boolean

Inherited from BaseComponent.disabled

- Defined in ui/Base/BaseComponent.ts :23

### logger

logger: Logger

Inherited from BaseComponent.logger

- Defined in ui/Base/BaseComponent.ts :18

### queryController

queryController: QueryController

Inherited from Component.queryController

- Defined in ui/Base/Component.ts :286

### queryStateModel

queryStateModel: QueryStateModel

Inherited from Component.queryStateModel

- Defined in ui/Base/Component.ts :278

### root

root: HTMLElement

Inherited from Component.root

- Defined in ui/Base/Component.ts :274

### searchInterface

searchInterface: SearchInterface

Inherited from Component.searchInterface

- Defined in ui/Base/Component.ts :290

### Static ID

ID: string

Inherited from BaseComponent.ID

- Defined in ui/Base/BaseComponent.ts :28

## Accessors

### usageAnalytics

usageAnalytics:

Inherited from Component.usageAnalytics

- Defined in ui/Base/Component.ts :343

## Component Options

### currencySymbol

currencySymbol: string

- Defined in ui/DynamicFacet/DynamicFacetRange.ts :86

Markup configuration example(s) :

    data-currency-symbol='foo'

### ranges

ranges: IRangeValue[]

- Defined in ui/DynamicFacet/DynamicFacetRange.ts :94

### sortOrder

sortOrder: FacetRangeSortOrder

- Defined in ui/DynamicFacet/DynamicFacetRange.ts :105

### valueFormat

valueFormat: DynamicFacetRangeValueFormat

- Defined in ui/DynamicFacet/DynamicFacetRange.ts :67

Markup configuration example(s) :

    data-value-format='date'

### valueSeparator

valueSeparator: string

- Defined in ui/DynamicFacet/DynamicFacetRange.ts :51

Markup configuration example(s) :

    data-value-separator='until'
    data-value-separator='up to'

## Constructors

### constructor

- new DynamicFacetRange(element: HTMLElement, options: IDynamicFacetRangeOptions, bindings?: IComponentBindings): DynamicFacetRange

- Overwrites DynamicFacet.constructor

  - Defined in ui/DynamicFacet/DynamicFacetRange.ts :122

  #### Parameters

  - ##### element: HTMLElement

  - ##### options: IDynamicFacetRangeOptions

  - ##### Optional bindings: IComponentBindings

  #### Returns DynamicFacetRange

### Implements

- IDynamicFacet
- IComponentBindings